Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.remoting
Class JMSServerInvocationHandler

    java.lang.Object
      org.jboss.jms.server.remoting.JMSServerInvocationHandler

public class JMSServerInvocationHandler
extends java.lang.Object

Version:
  `$Revision: 1.20 $` $Id: JMSServerInvocationHandler.java,v 1.20 2006/03/13 05:26:38 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Field Summary
`protected java.util.Map` | `callbackHandlers`

Constructor Summary
`JMSServerInvocationHandler()`

Method Summary
`void` | `addListener(InvokerCallbackHandler callbackHandler)`
`java.util.Collection` | `getListeners()`
`java.lang.Object` | `invoke(InvocationRequest invocation)`
`void` | `removeListener(InvokerCallbackHandler callbackHandler)`
`void` | `setInvoker(ServerInvoker invoker)`
`void` | `setMBeanServer(MBeanServer server)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### callbackHandlers

    protected java.util.Map callbackHandlers

Constructor Detail

### JMSServerInvocationHandler

    public JMSServerInvocationHandler()

Method Detail

### setMBeanServer

    public void setMBeanServer(MBeanServer server)

### setInvoker

    public void setInvoker(ServerInvoker invoker)

### invoke

    public java.lang.Object invoke(InvocationRequest invocation)
                            throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### addListener

    public void addListener(InvokerCallbackHandler callbackHandler)

### removeListener

    public void removeListener(InvokerCallbackHandler callbackHandler)

### getListeners

    public java.util.Collection getListeners()

  Returns:
    a Collection of InvokerCallbackHandler

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.